## ros-humble-examples-rclcpp-minimal-subscriber 0.15.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(examples_rclcpp_minimal_subscriber)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_components REQUIRED)
find_package(std_msgs REQUIRED)

add_executable(subscriber_lambda lambda.cpp)
ament_target_dependencies(subscriber_lambda rclcpp std_msgs)

add_executable(subscriber_member_function member_function.cpp)
ament_target_dependencies(subscriber_member_function rclcpp std_msgs)

add_executable(subscriber_member_function_with_topic_statistics member_function_with_topic_statistics.cpp)
ament_target_dependencies(subscriber_member_function_with_topic_statistics rclcpp std_msgs)

add_executable(subscriber_member_function_with_type_adapter member_function_with_type_adapter.cpp)
ament_target_dependencies(subscriber_member_function_with_type_adapter rclcpp std_msgs)

add_executable(subscriber_member_function_with_unique_network_flow_endpoints member_function_with_unique_network_flow_endpoints.cpp)
ament_target_dependencies(subscriber_member_function_with_unique_network_flow_endpoints rclcpp std_msgs)

add_executable(subscriber_not_composable not_composable.cpp)
ament_target_dependencies(subscriber_not_composable rclcpp std_msgs)

add_executable(subscriber_content_filtering content_filtering.cpp)
ament_target_dependencies(subscriber_content_filtering rclcpp std_msgs)

add_library(wait_set_subscriber_library SHARED
    wait_set_subscriber.cpp
    static_wait_set_subscriber.cpp
    time_triggered_wait_set_subscriber.cpp)
ament_target_dependencies(wait_set_subscriber_library rclcpp rclcpp_components std_msgs)

rclcpp_components_register_node(wait_set_subscriber_library
    PLUGIN "WaitSetSubscriber"
    EXECUTABLE wait_set_subscriber)

rclcpp_components_register_node(wait_set_subscriber_library
    PLUGIN "StaticWaitSetSubscriber"
    EXECUTABLE static_wait_set_subscriber)

rclcpp_components_register_node(wait_set_subscriber_library
    PLUGIN "TimeTriggeredWaitSetSubscriber"
    EXECUTABLE time_triggered_wait_set_subscriber)

install(TARGETS
    wait_set_subscriber_library
    ARCHIVE DESTINATION lib
    LIBRARY DESTINATION lib
    RUNTIME DESTINATION bin)

install(TARGETS
  subscriber_lambda
  subscriber_member_function
  subscriber_member_function_with_topic_statistics
  subscriber_member_function_with_type_adapter
  subscriber_member_function_with_unique_network_flow_endpoints
  subscriber_not_composable
  subscriber_content_filtering
  DESTINATION lib/${PROJECT_NAME})

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-humble-examples-rclcpp-minimal-subscriber (0.15.1-1jammy) jammy; urgency=high

  * add ContentFilteredTopic example. (#341 <https://github.com/ros2/examples/issues/341>) (#342 <https://github.com/ros2/examples/issues/342>)
  * Contributors: mergify[bot]

 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 07 Nov 2022 06:00:00 -0000

ros-humble-examples-rclcpp-minimal-subscriber (0.15.0-1jammy) jammy; urgency=high

  * Use const& signature for read-only sub callbacks (#337 <https://github.com/ros2/examples/issues/337>)
  * Contributors: Abrar Rahman Protyasha

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 01 Mar 2022 06:00:00 -0000

ros-humble-examples-rclcpp-minimal-subscriber (0.14.0-1jammy) jammy; urgency=high

  * Updated maintainers (#329 <https://github.com/ros2/examples/issues/329>)
  * Contributors: Aditya Pande

 -- Shane Loretz <sloretz@openrobotics.org>  Fri, 14 Jan 2022 06:00:00 -0000

ros-humble-examples-rclcpp-minimal-subscriber (0.13.0-1jammy) jammy; urgency=high

  * Fix deprecated subscriber callbacks (#323 <https://github.com/ros2/examples/issues/323>)
  * Contributors: Abrar Rahman Protyasha

 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 18 Oct 2021 05:00:00 -0000

ros-humble-examples-rclcpp-minimal-subscriber (0.12.0-1jammy) jammy; urgency=high

  * Add wait set examples (#315 <https://github.com/ros2/examples/issues/315>)
  * Add type adaption example (#300 <https://github.com/ros2/examples/issues/300>)
  * Contributors: Audrow Nash, carlossvg

 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 05 Aug 2021 05:00:00 -0000

ros-humble-examples-rclcpp-minimal-subscriber (0.11.2-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 26 Apr 2021 05:00:00 -0000

ros-humble-examples-rclcpp-minimal-subscriber (0.11.1-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 12 Apr 2021 05:00:00 -0000

ros-humble-examples-rclcpp-minimal-subscriber (0.11.0-1jammy) jammy; urgency=high

  * Unique network flows (#296 <https://github.com/ros2/examples/issues/296>)
  * Contributors: Ananya Muddukrishna

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 06 Apr 2021 05:00:00 -0000

ros-humble-examples-rclcpp-minimal-subscriber (0.10.3-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 18 Mar 2021 05:00:00 -0000

ros-humble-examples-rclcpp-minimal-subscriber (0.10.2-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 25 Jan 2021 06:00:00 -0000

ros-humble-examples-rclcpp-minimal-subscriber (0.10.1-1jammy) jammy; urgency=high

  * Update maintainers (#292 <https://github.com/ros2/examples/issues/292>)
  * Contributors: Shane Loretz

 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 10 Dec 2020 06:00:00 -0000

ros-humble-examples-rclcpp-minimal-subscriber (0.10.0-1jammy) jammy; urgency=high

  * Make sure to include what you use in all examples. (#284 <https://github.com/ros2/examples/issues/284>)
  * Remove a TODO in the not_composable demo. (#285 <https://github.com/ros2/examples/issues/285>)
  * Add Topic Statistics Example (#281 <https://github.com/ros2/examples/issues/281>)
  * Added common linters (#265 <https://github.com/ros2/examples/issues/265>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, Devin Bonnie

 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 21 Sep 2020 05:00:00 -0000

ros-humble-examples-rclcpp-minimal-subscriber (0.9.2-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 01 Jun 2020 05:00:00 -0000

ros-humble-examples-rclcpp-minimal-subscriber (0.9.1-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 26 May 2020 05:00:00 -0000

ros-humble-examples-rclcpp-minimal-subscriber (0.9.0-1jammy) jammy; urgency=high

  * Restructure rclcpp folders (#264 <https://github.com/ros2/examples/issues/264>)
  * Contributors: Marya Belanger

 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 30 Apr 2020 05:00:00 -0000

ros-humble-examples-rclcpp-minimal-subscriber (0.8.2-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 19 Nov 2019 06:00:00 -0000

ros-humble-examples-rclcpp-minimal-subscriber (0.8.1-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 24 Oct 2019 05:00:00 -0000

ros-humble-examples-rclcpp-minimal-subscriber (0.7.3-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Wed, 29 May 2019 05:00:00 -0000

ros-humble-examples-rclcpp-minimal-subscriber (0.7.2-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 20 May 2019 05:00:00 -0000

ros-humble-examples-rclcpp-minimal-subscriber (0.7.1-1jammy) jammy; urgency=high

  * Avoid deprecated API's by providing history settings (#240 <https://github.com/ros2/examples/issues/240>)
  * Contributors: William Woodall

 -- Shane Loretz <sloretz@openrobotics.org>  Wed, 08 May 2019 05:00:00 -0000

ros-humble-examples-rclcpp-minimal-subscriber (0.7.0-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Sun, 14 Apr 2019 05:00:00 -0000

ros-humble-examples-rclcpp-minimal-subscriber (0.6.2-1jammy) jammy; urgency=high

  * Updated documentation. (#225 <https://github.com/ros2/examples/issues/225>)
  * Contributors: Dirk Thomas

 -- Shane Loretz <sloretz@openrobotics.org>  Fri, 08 Feb 2019 06:00:00 -0000

ros-humble-examples-rclcpp-minimal-subscriber (0.6.0-1jammy) jammy; urgency=high

  * Added semicolons to all RCLCPP and RCUTILS macros. (#214 <https://github.com/ros2/examples/issues/214>)
  * Contributors: Chris Lalancette

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 20 Nov 2018 06:00:00 -0000

ros-humble-examples-rclcpp-minimal-subscriber (0.5.1-1jammy) jammy; urgency=high

  * make Mikael Arguedas the maintainer (#212 <https://github.com/ros2/examples/issues/212>)
  * Contributors: Mikael Arguedas

 -- Shane Loretz <sloretz@openrobotics.org>  Wed, 27 Jun 2018 05:00:00 -0000



=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-examples-rclcpp-minimal-subscriber//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-examples-rclcpp-minimal-subscriber 0.15.2

=== debian/changelog ===
ros-humble-examples-rclcpp-minimal-subscriber (0.15.2-1bookworm) bookworm; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 25 Jul 2024 16:00:00 -0000

ros-humble-examples-rclcpp-minimal-subscriber (0.15.1-1bookworm) bookworm; urgency=high

  * add ContentFilteredTopic example. (#341 <https://github.com/ros2/examples/issues/341>) (#342 <https://github.com/ros2/examples/issues/342>)
  * Contributors: mergify[bot]

 -- Shane Loretz <sloretz@openrobotics.org>  Sun, 06 Nov 2022 16:00:00 -0000

ros-humble-examples-rclcpp-minimal-subscriber (0.15.0-1bookworm) bookworm; urgency=high

  * Use const& signature for read-only sub callbacks (#337 <https://github.com/ros2/examples/issues/337>)
  * Contributors: Abrar Rahman Protyasha

 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-humble-examples-rclcpp-minimal-subscriber (0.14.0-1bookworm) bookworm; urgency=high

  * Updated maintainers (#329 <https://github.com/ros2/examples/issues/329>)
  * Contributors: Aditya Pande

 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-humble-examples-rclcpp-minimal-subscriber (0.13.0-1bookworm) bookworm; urgency=high

  * Fix deprecated subscriber callbacks (#323 <https://github.com/ros2/examples/issues/323>)
  * Contributors: Abrar Rahman Protyasha

 -- Shane Loretz <sloretz@openrobotics.org>  Sun, 17 Oct 2021 16:00:00 -0000

ros-humble-examples-rclcpp-minimal-subscriber (0.12.0-1bookworm) bookworm; urgency=high

  * Add wait set examples (#315 <https://github.com/ros2/examples/issues/315>)
  * Add type adaption example (#300 <https://github.com/ros2/examples/issues/300>)
  * Contributors: Audrow Nash, carlossvg

 -- Shane Loretz <sloretz@openrobotics.org>  Wed, 04 Aug 2021 16:00:00 -0000

ros-humble-examples-rclcpp-minimal-subscriber (0.11.2-1bookworm) bookworm; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Sun, 25 Apr 2021 16:00:00 -0000

ros-humble-examples-rclcpp-minimal-subscriber (0.11.1-1bookworm) bookworm; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Sun, 11 Apr 2021 16:00:00 -0000

ros-humble-examples-rclcpp-minimal-subscriber (0.11.0-1bookworm) bookworm; urgency=high

  * Unique network flows (#296 <https://github.com/ros2/examples/issues/296>)
  * Contributors: Ananya Muddukrishna

 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-humble-examples-rclcpp-minimal-subscriber (0.10.3-1bookworm) bookworm; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Wed, 17 Mar 2021 16:00:00 -0000

ros-humble-examples-rclcpp-minimal-subscriber (0.10.2-1bookworm) bookworm; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Sun, 24 Jan 2021 16:00:00 -0000

ros-humble-examples-rclcpp-minimal-subscriber (0.10.1-1bookworm) bookworm; urgency=high

  * Update maintainers (#292 <https://github.com/ros2/examples/issues/292>)
  * Contributors: Shane Loretz

 -- Shane Loretz <sloretz@openrobotics.org>  Wed, 09 Dec 2020 16:00:00 -0000

ros-humble-examples-rclcpp-minimal-subscriber (0.10.0-1bookworm) bookworm; urgency=high

  * Make sure to include what you use in all examples. (#284 <https://github.com/ros2/examples/issues/284>)
  * Remove a TODO in the not_composable demo. (#285 <https://github.com/ros2/examples/issues/285>)
  * Add Topic Statistics Example (#281 <https://github.com/ros2/examples/issues/281>)
  * Added common linters (#265 <https://github.com/ros2/examples/issues/265>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, Devin Bonnie

 -- Shane Loretz <sloretz@openrobotics.org>  Sun, 20 Sep 2020 16:00:00 -0000

ros-humble-examples-rclcpp-minimal-subscriber (0.9.2-1bookworm) bookworm; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Sun, 31 May 2020 16:00:00 -0000

ros-humble-examples-rclcpp-minimal-subscriber (0.9.1-1bookworm) bookworm; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 25 May 2020 16:00:00 -0000

ros-humble-examples-rclcpp-minimal-subscriber (0.9.0-1bookworm) bookworm; urgency=high

  * Restructure rclcpp folders (#264 <https://github.com/ros2/examples/issues/264>)
  * Contributors: Marya Belanger

 -- Shane Loretz <sloretz@openrobotics.org>  Wed, 29 Apr 2020 16:00:00 -0000

ros-humble-examples-rclcpp-minimal-subscriber (0.8.2-1bookworm) bookworm; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 18 Nov 2019 16:00:00 -0000

ros-humble-examples-rclcpp-minimal-subscriber (0.8.1-1bookworm) bookworm; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Wed, 23 Oct 2019 16:00:00 -0000

ros-humble-examples-rclcpp-minimal-subscriber (0.7.3-1bookworm) bookworm; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 28 May 2019 16:00:00 -0000

ros-humble-examples-rclcpp-minimal-subscriber (0.7.2-1bookworm) bookworm; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Sun, 19 May 2019 16:00:00 -0000

ros-humble-examples-rclcpp-minimal-subscriber (0.7.1-1bookworm) bookworm; urgency=high

  * Avoid deprecated API's by providing history settings (#240 <https://github.com/ros2/examples/issues/240>)
  * Contributors: William Woodall

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 07 May 2019 16:00:00 -0000

ros-humble-examples-rclcpp-minimal-subscriber (0.7.0-1bookworm) bookworm; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Sat, 13 Apr 2019 16:00:00 -0000

ros-humble-examples-rclcpp-minimal-subscriber (0.6.2-1bookworm) bookworm; urgency=high

  * Updated documentation. (#225 <https://github.com/ros2/examples/issues/225>)
  * Contributors: Dirk Thomas

 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 07 Feb 2019 16:00:00 -0000

ros-humble-examples-rclcpp-minimal-subscriber (0.6.0-1bookworm) bookworm; urgency=high

  * Added semicolons to all RCLCPP and RCUTILS macros. (#214 <https://github.com/ros2/examples/issues/214>)
  * Contributors: Chris Lalancette

 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 19 Nov 2018 16:00:00 -0000



=== debian/control ===
Source: ros-humble-examples-rclcpp-minimal-subscriber
Section: misc
Priority: optional
Maintainer: Shane Loretz <sloretz@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-std-msgs, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-examples-rclcpp-minimal-subscriber
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-std-msgs, ros-humble-ros-workspace
Description: Examples of minimal subscribers

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-examples-rclcpp-minimal-subscriber//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-examples-rclcpp-minimal-subscriber//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-examples-rclcpp-minimal-subscriber//opt/ros/humble/opt/examples_rclcpp_minimal_subscriber/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
